Description

To support upgrade testing with shaman we need to rebuild and upload the old tagged releases into a chacra node that does not

delete repos and does not join the shaman pool. This chacra node could also be used for other long-lived repos.

My initial thought was to use chacra.ceph.com, the chacra node that builds our upstream repos, but it's configured to combine all deb

repositories which is causing trouble when rebuilding older releases. We might need to spin up another chacra node for this instead

of using chacra.ceph.com.

In a quick scan of ceph-qa-suite@master I found that these tags were being used:

- 10.2.0

- 9.2.0

- 9.2.1

- 0.94.1

- 0.94.3

History

#1 - 10/21/2016 04:05 PM - Andrew Schoen

- Status changed from New to In Progress

- Assignee set to Andrew Schoen

I've got 10.2.0 built and available now for xenial, trusty and centos7.

https://shaman.ceph.com/repos/ceph/jewel/3a9fba20ec743699b69bd0181dd6c54dc01c64b9/

#2 - 11/04/2016 08:15 PM - Andrew Schoen

9.2.0 is available here:

https://shaman.ceph.com/repos/ceph/infernalis/bb2ecea240f3a1d525bcb35670cb07bd1f0ca299/

9.2.1 is available here:

https://shaman.ceph.com/repos/ceph/infernalis/752b6a3020c3de74e07d2a8b4c5e48dab5a6b6fd/

#3 - 08/03/2021 01:53 PM - David Galloway

- Status changed from In Progress to Resolved
https://shaman.ceph.com/repos/ceph/jewel/3a9fba20ec743699b69bd0181dd6c54dc01c64b9/
https://shaman.ceph.com/repos/ceph/infernalis/bb2ecea240f3a1d525bcb35670cb07bd1f0ca299/
https://shaman.ceph.com/repos/ceph/infernalis/752b6a3020c3de74e07d2a8b4c5e48dab5a6b6fd/


I'm not sure what exactly changed in shaman (if anything) to make it function correctly with chacra.ceph.com but it does now.

In other words, teuthology is able to query shaman for a tagged release and shaman will return that release that lives on chacra.ceph.com (the

non-development chacra node).
